# List all products for a factory (/docs/api-reference/products/ProductsController_findAll)

`GET /api/factories/{factoryId}/products`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `search` | query | no | string | Search by name or part number |
| `lifecycle` | query | no | string | Filter by lifecycle status (csv allowed) |
| `category` | query | no | string | Filter to products with this category |
| `tag` | query | no | string | Filter to products with this tag |

## Responses

### 200: List of products